@echo OFF
     set CmdName=CBLBITE1
rem  * *******************************************************************
rem  *                Job Script - a Windows Command File                *
rem  *                 Provided by SimoTime Technologies                 *
rem  *            (C) Copyright 1987-2020 All Rights Reserved            *
rem  *              Web Site URL:   http://www.simotime.com              *
rem  *                    e-mail:   helpdesk@simotime.com                *
rem  * *******************************************************************
rem  *
rem  * Text    - COBOL and Bit Manipulation
rem  * Author  - SimoTime Technologies
rem  * Date    - November 11, 2003
rem  * Version - 06.07.16
rem  *
rem  * This set of programs illustrate the use a COBOL program to do
rem  * bit manipulation. This suite of programs will convert between
rem  * a one-byte (eight-bits) field and an eight-byte field.
rem  *
rem  * When running with Micro Focus the IBMCOMP an NOTRUNC directives
rem  * will be required to maintain compatability with the mainframe
rem  * format and field sizes for binary fields.
rem  *
rem  * This technique provides for the use of a single COBOL source
rem  * program that may be compiled and executed on an IBM Mainframe
rem  * Linux, UNIX or Windows System.
rem  *
rem  * This Job Script will run on a Windows system with Micro
rem  * Focus COBOL.
rem  *
rem  *   ************
rem  *   * CBLBITE1 *
rem  *   ********cmd*
rem  *        *
rem  *   ************     ************
rem  *   *   call   ******* ENV1BASE *
rem  *   ************     ********cmd*
rem  *        *
rem  *        *
rem  *   ************     ************     ************
rem  *   *   run    ******* CBLBITC1 *******  SYSOUT  *
rem  *   ************     ********cbl*     *******lseq*
rem  *        *                *
rem  *        *                *
rem  *        *           ************
rem  *        *           * SIMOBITS *
rem  *        *           ********cbl*
rem  *   ************
rem  *   *   EOJ    *
rem  *   ************
rem  *
rem  * ********************************************************************
rem  *
     setlocal
     call ..\ENV1BASE %CmdName%
     set SYSOUT=%BASELIB1%\LOGS\SYSOUT_%CmdName%.txt
     if exist %SYSOUT% erase %SYSOUT%
rem  *
     call SIMONOTE "*******************************************************************************%CmdName% "
     call SimoNOTE "* Starting CmdName %CmdName%, V08.06.05, User is %USERNAME%"
     call SIMONOTE "* Job_Step 1 of 3, Preparing the System and Job Environment"
     set JobStatus=0
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "* --------------------------------------------------------------------------- *"
     call SimoNOTE "* Job_Step 2 of 3, Execute the Bit Manipulation program"
     run CBLBITC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=20
     if not "%JobStatus%" == "0" goto :EOJTAG
rem  *
:EOJTAG
     call SimoNOTE "* --------------------------------------------------------------------------- *"
     call SimoNOTE "* Job_Step 3 of 3, End of Job processing"
     if "%JobStatus%" == "0" goto :EOJAOK
:EOJNOK
     call SimoNOTE "* ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     goto :EOJEND
:EOJAOK
     call SimoNOTE "* Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :EOJEND
:EOJEND
     call SimoNOTE "* Conclude SYSOUT is  %SYSOUT% "
     if not "SIMOGENS" == "BATCH" pause
     endlocal
